context("test-get_birthdate")

test_that("retrieving birthdate works", {
    filename_raw <- "article-4-raw.html"
    filename_rds_raw <- "43737551-874254479.RDS"
    html <- readChar(filename_raw, file.info(filename_raw)$size)
    expected <- ("August 20, 1918")
    annotations <- readRDS(filename_rds_raw)
    actual <- get_birthdate(html, annotations)

    expect_equal(expected, actual)
})
